05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- File List
- File Members

Macros | Functions
mat_utils.h File Reference
`#include <opencv2/opencv.hpp>`
`#include <opencv2/highgui/highgui.hpp>`
`#include <opencv2/imgproc/imgproc.hpp>`
`#include <QVector>`
`#include <QImage>`

Go to the source code of this file.

## Macros
#define | M_PI 3.14159265358979323846
#define | M_PI_2 3.14159265358979323846/2

## Functions
QVector< QVector< double > > | Mat_to_QVector2D (const cv::Mat &input)
| Converts cv::Mat to row major QVector<QVector<double> > More...
cv::Mat | QVector2D_to_Mat (const QVector< QVector< double > > &input, int type=CV_64F)
| Converts row major QVector<QVector<double> > to cv::Mat. More...
QImage | Mat_to_QImage (const cv::Mat &input)
| Converts cv::Mat to QImage. More...
bool | is_inside_rectangle (cv::RotatedRect rectangle, cv::Point2d point)
| Checks if point is inside a RotatedRect. More...
QStringList | split_with_escape (QString input, char separator=',', char escape_char='\\')
| Checks if point is inside a RotatedRect. More...

## Macro Definition Documentation

#define M_PI 3.14159265358979323846

#define M_PI_2 3.14159265358979323846/2

## Function Documentation

bool is_inside_rectangle | ( | cv::RotatedRect | rectangle,
|  | cv::Point2d | point
| ) |  |

Checks if point is inside a RotatedRect.

Parameters

  rectangle | boundary rectangle
  point | point to check

QImage Mat_to_QImage | ( | const cv::Mat & | input | ) |

Converts cv::Mat to QImage.

Parameters

  input | input image

QVector<QVector<double> > Mat_to_QVector2D | ( | const cv::Mat & | input | ) |

Converts cv::Mat to row major QVector<QVector<double> >

Parameters

  input | input matrix

cv::Mat QVector2D_to_Mat | ( | const QVector< QVector< double > > & | input,
|  | int | type = `CV_64F`
| ) |  |

Converts row major QVector<QVector<double> > to cv::Mat.

Parameters

  input | input matrix

QStringList split_with_escape | ( | QString | input,
|  | char | separator = `','`,
|  | char | escape_char = `'\\'`
| ) |  |

Checks if point is inside a RotatedRect.

Parameters

  rectangle | boundary rectangle
  point | point to check